2. Fase Preliminare

Prima di procedere con l’installazione di OpenSPCoop2 è necessario disporre del software di base nell’ambiente di esercizio. Verificare i passi seguenti, procedendo eventualmente all’installazione dei componenti mancanti.

  1. Java Runtime Environment (JRE) 6 o superiore (È possibile scaricare JRE al seguente indirizzo: http://www.oracle.com/technetwork/java/javase/downloads/index.html)

  2. Application Server JBoss (http://www.jboss.com) versione 4.x, 5.x, 6.x o 7.x o WildFly (http://wildfly.org) versione 8.x. In alternativa è possibile effettuare l’installazione su Apache Tomcat. OpenSPCoop2 supporta anche altri application server j2ee diversi da quelli citati. Se vuoi installare OpenSPCoop2 su altri application server dovrai utilizzare la source release.

  3. Un RDBMS accessibile via JDBC. La binary release supporta le seguenti piattaforme:

    • PostgreSQL 8.x o superiore

    • MySQL 5.x o superiore

    • Oracle 10g o superiore

    • HyperSQL 2.0 o superiore

    • MS SQL Server 2005

    • IBM DB2 9.5 o superiore

La distribuzione OpenSPCoop2 è stata estesamente testata prima del rilascio sulla seguente piattaforma di riferimento:

  • Sun JRE 6

  • PostgreSQL 9.1

  • JBoss 7.1.1